# (kamil) In case of update, update also hyphen-en, it's the same source

Name:           hyphen
Version:        2.8.6
Release:        %mkrel 2
Summary:        A text hyphenation library
License:        LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://hunspell.sf.net
Source0:        http://downloads.sourceforge.net/hunspell/%{name}-%{version}.tar.gz

BuildRequires:  perl
BuildRequires:  patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%ifarch %{ix86} x86_64
BuildRequires:  valgrind
%endif

%description
Hyphen is a library for high quality hyphenation and justification.


%package devel
Summary:        Files for developing with hyphen
Group:          Development/C++
Requires:       %{name} = %{version}-%{release}

%description devel
This package includes the development files required to build software against
%{name}.


%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%check
%ifarch %{ix86} x86_64
VALGRIND=memcheck make check
%else
make check
%endif

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/*.la

rm %{buildroot}%{_datadir}/hyphen/*

%files
%doc AUTHORS ChangeLog README README.%{name} README.nonstandard TODO
%{_libdir}/*.so.*
%dir %{_datadir}/%{name}

%files devel
%{_includedir}/%{name}.h
%{_libdir}/*.so
%{_bindir}/substrings.pl


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.8.6-2.mga3
+ Revision: 353817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 2.8.6-1.mga3
+ Revision: 325109
- new version 2.8.6

* Tue Jul 24 2012 tv <tv> 2.8.5-1.mga3
+ Revision: 273973
- new release

* Sat Jul 07 2012 kamil <kamil> 2.8.4-1.mga3
+ Revision: 268580
- new version 2.8.4

* Fri Jan 20 2012 kamil <kamil> 2.8.3-2.mga2
+ Revision: 198581
- exclude hyphen-en part from .spec

* Tue Jan 10 2012 kamil <kamil> 2.8.3-1.mga2
+ Revision: 194584
- new version

* Tue Jan 10 2012 kamil <kamil> 2.7.1-2.mga2
+ Revision: 194572
- fix groups
- clean spec

* Fri Jul 08 2011 ahmad <ahmad> 2.7.1-1.mga2
+ Revision: 120177
- Update to 2.7.1
- Improve the description of the -devel sub-package

* Tue Jun 21 2011 ahmad <ahmad> 2.7-3.mga2
+ Revision: 110819
- Use %%configure2_5x

* Fri Jan 28 2011 dmorgan <dmorgan> 2.7-2.mga1
+ Revision: 43120
- Bump release
- Fix groups

* Sun Jan 23 2011 dmorgan <dmorgan> 2.7-1.mga1
+ Revision: 33551
- Use %%mkrel
- imported package hyphen

